Skip to main content
`Ctrl`+`K`

# EPSEVSLSetDamping

Set the type of damping to be used in EVSL.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSEVSLSetDamping(EPS eps,EPSEVSLDamping damping)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- damping - the type of damping, see `EPSEVSLDamping` for possible values

## Options Database Key

- -eps_evsl_damping <damping> - set the type of damping

## Notes

Damping is applied when building the polynomial to be used when solving the eigenproblem, and also during estimation of the DOS with the KPM method.

See the documentation of EVSL [Li et al., 2019] for details.

## References

[Li19]

R. Li, Y. Xi, L. Erlandson, and Y. Saad. The eigenvalues slicing library (EVSL): algorithms, implementation, and software. SIAM J. Sci. Comput., 41(4):C393–C415, 2019. doi:10.1137/18M1170935.

## See Also

EPS: Eigenvalue Problem Solver, `EPSEVSL`, `EPSEVSLGetDamping()`, `EPSEVSLSetDOSParameters()`

## Level

advanced

## Location

src/eps/impls/external/evsl/evsl.c

## Implementations

EPSEVSLSetDamping_EVSL() in src/eps/impls/external/evsl/evsl.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages